#
# spec file for package subversion (Version 0.17.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache2-devel-packages blt db-devel docbook-xsl-stylesheets docbook2x docbook_4 freetype2 libapr0 libxml libxml-devel libxml2 libxslt neon neon-devel openjade opensp openssl-devel perl-XML-DOM perl-XML-Parser python python-devel python-imaging python-tk swig tcl tcl-devel tidy tix tk x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs apache2 apache2-devel apache2-prefork autoconf automake binutils blt bzip2 cracklib db-devel docbook-xsl-stylesheets docbook2x docbook_4 expat freetype2 gcc gdbm gettext libapr0 libtool libxml libxml-devel libxml2 libxslt neon neon-devel openjade opensp openssl openssl-devel perl perl-XML-DOM perl-XML-Parser python python-devel python-imaging python-tk rpm swig tcl tcl-devel tidy tix tk

Name:         subversion
Version:      0.17.1
Release:      98
#
%define	apxs	/usr/sbin/apxs2
%define	apache_libexecdir	%(%{apxs} -q LIBEXECDIR)
%define	apache_sysconfdir	%(%{apxs} -q SYSCONFDIR)
#
%define	docbook_xsl_version	1.60.1 
#
Summary:      A Concurrent Versioning system similar to but better than CVS.
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
License:      Other License(s), see package, Apache
Group:        Development/Tools/Version Control
URL:          http://subversion.tigris.org
Source0:      subversion-%{version}.tar.bz2
Source1:      subversion.conf
Source2:      subversion.README.SuSE
Source3:      http://prdownloads.sourceforge.net/docbook/docbook-xsl-%{docbook_xsl_version}.tar.gz
Source4:      http://subversion.tigris.org/files/documents/15/1458/subversion.book.pdf
Source5:      subversion-excludes.txt
Source6:      http://svn.collab.net/repos/svn/branches/cvs2svn-mmacek/subversion-cvs2svn.py
#
Patch1:       subversion-0.17.1-editor.diff
Patch2:       subversion-0.17.1-keywords_on_add.diff
#
Patch10:      subversion-1.0.1-exploit-old_timestamp_format.patch
Patch11:      svnserve-CAN-2004-0413.patch

%description
Subversion does the same thing CVS does (Concurrent Versioning System)
but has major enhancements compared to CVS.

http://subversion.tigris.org



%package devel
Group:        Development/Libraries/C and C++
Summary:      Development package for Subversion developers.
Requires:     subversion = %{version}-%{release}

%description devel
The subversion-devel package includes the static libraries and include
files for developers interacting with the subversion package.



%package cvs2svn
Requires:     swig
Group:        Development/Tools/Version Control
Summary:      Converts CVS repositories to Subversion repositories.

%description cvs2svn
Converts CVS repositories to Subversion repositories.

See /usr/share/doc/packages/subversion*/tools/cvs2svn directory for
more information.



%package tools
Group:        Development/Tools/Version Control
Summary:      Tools for Subversion

%description tools
Tools for Subversion



%package server
Group:        Development/Tools/Version Control
Summary:      Apache server module for Subversion server.
Requires:     subversion = %{version}-%{release}
Requires:     apache2

%description server
The subversion-server package adds the Subversion server Apache module
to the Apache directories and configuration.

http://subversion.tigris.org



%prep
%setup -q -a 3
%patch1 -p1
%patch2 -p1
%patch10 -p1
%patch11 -p1
mv -v docbook-xsl-%{docbook_xsl_version} doc/book/tools/xsl
cp -av %{S:4} .
cp -av %{S:6} tools/cvs2svn/cvs2svn.py

%build
sh -x autogen.sh
export CFLAGS="$RPM_OPT_FLAGS -Wall -g"
#export LDFLAGS="-lcrypt -ldl -pthread"
./configure \
	--prefix=/usr \
	--infodir=%{_infodir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-neon=/usr \
	--with-apr=/usr \
	--with-apr-util=/usr \
	--with-apxs=%{apxs} \
	--disable-mod-activation
make
# Build cvs2svn python bindings
make swig-py-ext
#
make doc-all-html

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#
mkdir html
cp -av doc/book/book/*.html			html/
cp -av doc/book/book/images			html/
cp -av doc/programmer/design/svn-design.html	html/
cp -av doc/book/misc-docs/misc-docs.html	html/
#
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d
cp -av %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/subversion.conf
cp -av %{S:2} README.SuSE
#
# cvs2svn
make install-swig-py-ext DESTDIR=$RPM_BUILD_ROOT
sed -e 's;#!/usr/bin/env python;#!/usr/bin/env python;' < \
tools/cvs2svn/cvs2svn.py > \
$RPM_BUILD_ROOT/usr/bin/cvs2svn
chmod a+x $RPM_BUILD_ROOT/usr/bin/cvs2svn
cp -av packages/rpm/redhat-8.x/rcsparse.py $RPM_BUILD_ROOT/usr/%_lib/python2.2/site-packages
cp -av tools/cvs2svn/cvs2svn.1 $RPM_BUILD_ROOT%{_mandir}/man1/
#
# tools
mkdir -p   $RPM_BUILD_ROOT/usr/share/subversion/
cp -a tools $RPM_BUILD_ROOT/usr/share/subversion/
find $RPM_BUILD_ROOT html -name .svn -type d | xargs rm -rf

%clean
find $RPM_BUILD_ROOT | sed "s#$RPM_BUILD_ROOT##" | sort > %{_tmppath}/install_file.$$.txt
rpm -qpl %{_rpmdir}/%{_target_cpu}/*-%{version}-%{release}.%{_target_cpu}.rpm | sort > %{_tmppath}/rpm_file.$$.txt
(diff -u %{_tmppath}/install_file.$$.txt %{_tmppath}/rpm_file.$$.txt)
rm -f  %{_tmppath}/install_file.$$.txt %{_tmppath}/rpm_file.$$.txt

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING HACKING IDEAS INSTALL PORTING README
%doc subversion/LICENSE
%doc html
%doc subversion.book.pdf
/usr/bin/svn
/usr/bin/svnadmin
/usr/bin/svnlook
/usr/bin/svnserve
/usr/bin/svnversion
%{_libdir}/libsvn*so*
%{_mandir}/man1/svn*

%files devel
%defattr(-,root,root)
%dir /usr/include/subversion-1
/usr/bin/*-config
%{_libdir}/libsvn*.a
%{_libdir}/libsvn*.la
/usr/include/subversion-1/*

%files cvs2svn
%defattr(-,root,root)
/usr/bin/cvs2svn
%dir /usr/%_lib/python2.2/site-packages/svn
/usr/%_lib/python2.2/site-packages/svn/*
/usr/%_lib/python2.2/site-packages/rcsparse.py
%{_mandir}/man1/cvs2svn*

%files tools
%defattr(-,root,root)
/usr/share/subversion/tools

%files server
%defattr(-,root,root)
%doc README.SuSE
%dir %{apache_sysconfdir}/conf.d
%config (noreplace) %{apache_sysconfdir}/conf.d/subversion.conf
%dir %{apache_libexecdir}
%{apache_libexecdir}/mod_dav_svn.*

%changelog -n subversion
* Mon Jun 07 2004 - olh@suse.de
- add svnserve-CAN-2004-0413.patch, svnserve fix (#40964)
* Sun May 09 2004 - olh@suse.de
- add subversion-1.0.1-exploit-old_timestamp_format.patch (#39774)
* Mon Apr 28 2003 - olh@suse.de
- mark /etc/apache2/conf.d/subversion.conf as config/noreplace
* Tue Feb 18 2003 - poeml@suse.de
- python might live below /usr/lib64
* Thu Feb 13 2003 - olh@suse.de
- update to 0.17.1 , revision 4877
  finally a working cvs2svn version, use the cvs2svn-mmacek branch
* Mon Feb 10 2003 - poeml@suse.de
- remove hints about SuSEconfig, it's not needed. Add README.SuSE
  about server configuration
- drop /etc/apache2/modules/subversion, it is no longer needed
- MPM specific links to mod_dav_svn.so are no longer needed
- server requires apache2, and a Require on apr is no longer valid
* Mon Feb 10 2003 - olh@suse.de
- split packages cvs2svn and tools
* Thu Feb 06 2003 - olh@suse.de
- add hint about SuSEconfig run in subversion.conf example
* Sun Feb 02 2003 - olh@suse.de
- add subversion-0.17.1-editor.diff
  subversion-0.17.1-keywords_on_add.diff
* Tue Jan 28 2003 - olh@suse.de
- add subversion book.pdf from the website
  add svnserve and svnversion
  remove outdated info docu
  build and add html documentation
  new apache2 config file format, extend example in subversion.conf
* Wed Jan 22 2003 - olh@suse.de
- update to 0.17.1 , revision 4508
* Tue Jan 21 2003 - olh@suse.de
- update to 0.17.0 , revision 4474
* Thu Dec 05 2002 - poeml@suse.de
- update to 0.16.0 , revision 3987
- use macro <apache2-devel-packages> in #neededforbuild
- get rid of hardcoded MPM names
* Wed Dec 04 2002 - olh@suse.de
- update to 0.15.0 , revision 3985
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
- changed neededforbuild <xdevel> to <>
* Sun Oct 13 2002 - olh@suse.de
- update to 0.14.3 , revision 3360
  add subversion configfiles for apache2
* Sat Oct 12 2002 - olh@suse.de
- update to 0.14.3 , revision 3353
  add more dir path to file list, add more docu
  apxs is in /usr/sbin
* Thu Sep 19 2002 - olh@suse.de
- update to 0.14.3 , revision 3188
  use python-imaging instead of python-tkinter
* Sat Aug 31 2002 - poeml@suse.de
- update to last release 0.14.2 (svn update was broken when
  repositories contained renames)
* Tue Aug 27 2002 - poeml@suse.de
- use apxs2, building a common mod_dav_svn.so for all three MPMs
- don't let apxs add an entry for mod_dav_svn.so into httpd.conf
* Sun Aug 11 2002 - olh@suse.de
- update to 0.14.1, rev 2935, build html docs
* Thu Aug 01 2002 - olh@suse.de
- update to 2840, add svnadmin and svnlock
* Tue Jul 30 2002 - olh@suse.de
- remove apr, use apache2 instead, update to 2787
* Fri Jul 26 2002 - olh@suse.de
- initial SuSE release with version 0.14.0.2720
  built with apr_20020725163531 and apr-util-20020725
